Bug 1854567 - "Installed Operators" list showing "duplicated" entries during installation
Summary: "Installed Operators" list showing "duplicated" entries during installation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.7.0
Assignee: Jakub Hadvig
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-07 17:23 UTC by tony.wu
Modified: 2021-02-24 15:15 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Listing Subscrition when matching CSV exists on the Installed Operators page Consequence: Duplicated operator entries during Operator installation Fix: Dont list Subscrition when there is matching CSV. Result: There are no duplicate operator entries during Operator installation
Clone Of:
Environment:
Last Closed: 2021-02-24 15:13:57 UTC
Target Upstream Version:


Attachments (Terms of Use)
UI_shows_duplicated_entries___one_from_subs_one_from_CSV (732.12 KB, image/png)
2020-07-07 17:23 UTC, tony.wu
no flags Details
installed-operator (522.92 KB, image/gif)
2020-09-04 12:45 UTC, Yanping Zhang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6020 0 None closed Hide internal operators 2021-01-15 11:58:15 UTC
Github openshift console pull 6280 0 None closed Bug 1866514: If CSV doesn't have status field, check it's labels for 'olm.copiedFrom' label 2021-01-15 11:58:15 UTC
Github openshift console pull 6862 0 None closed Bug 1854567: Dont list Subscrition when matching CSV exists on the Installed Operators page 2021-01-15 11:58:15 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:15:16 UTC

Description tony.wu 2020-07-07 17:23:18 UTC
Created attachment 1700194 [details]
UI_shows_duplicated_entries___one_from_subs_one_from_CSV

Description of problem:
It's been noticed that the "Installed Operators" list shows duplicated entries during Operator installation.

Take Couchbase Operator as example, when this occurred, UI shows two entries as:
---
1. “couchbase-enterprise-certified” status “UpgradePending” --> from Subscription
+
2. “Couchbase Operator” status “Cannot update” --> from CSV

(See the screenshot in the attachment.)

Given this list needs to expose both `Subscription` object + `CSV` depending on the context, UI could probably hide the `Subscription` object in “UpgradePending” status whenever the CSV object exist.


Version-Release number of selected component (if applicable):
OCP 4.5/4.4

How reproducible:
100%

Steps to Reproduce:
1. Install "Couchbase Operator" from OperatorHub to any namespace
2. UI directs to "Installed Operators" view
   --> see duplicated entries for a certain period of time.

Actual results:

UI shows:
1. “couchbase-enterprise-certified” status “UpgradePending” --> from Subscription
+
2. “Couchbase Operator” status “Cannot update” --> from CSV


Expected results:

UI shows a single entry (hide the one from `Subscription` object whenever `CSV` object exists).


Additional info:

Comment 1 Jon Jackson 2020-07-08 14:38:37 UTC
Didn't get a chance to look into this yet. Will check it out next sprint.

Comment 2 Jakub Hadvig 2020-07-31 14:45:20 UTC
Will fix next sprint

Comment 3 Samuel Padgett 2020-08-21 18:51:26 UTC
Jakub, was this fixed indirectly by https://github.com/openshift/console/pull/6280 ?

Comment 4 Jakub Hadvig 2020-08-25 10:20:42 UTC
Tested on latest cluster and looks like it's fixed.
Putting on ON_QA

Comment 8 Yanping Zhang 2020-09-04 12:44:29 UTC
Checked on ocp 5.6 with payload 4.6.0-0.nightly-2020-09-03-191144.
1. Install "Couchbase Operator" from OperatorHub to any namespace
2. UI directs to "Installed Operators" view, still could see two entries in a certain period of time.
See attachment pls.

Comment 9 Yanping Zhang 2020-09-04 12:45:21 UTC
Created attachment 1713778 [details]
installed-operator

Comment 10 Jakub Hadvig 2020-10-02 15:29:32 UTC
Did not have time for further investigation. Will fix next sprint.

Comment 13 Yanping Zhang 2020-10-13 04:03:43 UTC
Checked on ocp 4.7 with payload 4.7.0-0.ci-2020-10-12-222453.
1. Install "Couchbase Operator" from OperatorHub to any namespace
2. UI directs to "Installed Operators" view, only on entry for the couchbase operator is shown now.
The bug is fixed.

Comment 16 errata-xmlrpc 2021-02-24 15:13:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.